module OOo
 #-- =====================================================
  #-- =====================================================
  #++
  class OOoException < Exception

    def initialize( error_message, stack_trace=nil )
      @error_message   = error_message
      @stack_trace = stack_trace
    end
    
    def to_s
      @error_message   
    end
    
    def stack_trace
      @stack_trace
    end

    def to_h
      {"error_message" => @error_message, "stack_trace" => @stack_trace}
    end
    
  end


end
